<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [FrameManager](./puppeteer.framemanager.md) &gt; [(constructor)](./puppeteer.framemanager._constructor_.md)

## FrameManager.(constructor)

Constructs a new instance of the `FrameManager` class

<b>Signature:</b>

```typescript
constructor(client: CDPSession, page: Page, ignoreHTTPSErrors: boolean, timeoutSettings: TimeoutSettings);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  client | [CDPSession](./puppeteer.cdpsession.md) |  |
|  page | [Page](./puppeteer.page.md) |  |
|  ignoreHTTPSErrors | boolean |  |
|  timeoutSettings | TimeoutSettings |  |

